[Buildroot] [autobuild.buildroot.net] Your build results for 2019-04-11

Valentin Korenblit valentinkorenblit at gmail.com
Fri Apr 12 20:15:17 UTC 2019


Hi Thomas,

> Results for the 'master' branch
> ===============================
>
> Build failures related to your packages:
>
>          i586 |                host-llvm-8.0.0 | http://autobuild.buildroot.net/results/0c046a1b57a4f0b992333003d41062e1b256eb0d

Should we require gcc 5.1 or do we add LLVM_TEMPORARILY_ALLOW_OLD_TOOLCHAIN
and wait until next version ?

-- Detecting CXX compile features - done
CMake Error at cmake/modules/CheckCompilerVersion.cmake:40 (message):
   Host GCC version should be at least 5.1 because LLVM will soon use new C++
   features which your toolchain version doesn't support.  Your version is
   4.8.2.  You can temporarily opt out using
   LLVM_TEMPORARILY_ALLOW_OLD_TOOLCHAIN, but very soon your toolchain won't be
   supported.
Call Stack (most recent call first):
   cmake/modules/CheckCompilerVersion.cmake:45 (check_compiler_version)
   cmake/config-ix.cmake:13 (include)
   CMakeLists.txt:590 (include)

Best regards,

Valentin

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.busybox.net/pipermail/buildroot/attachments/20190412/67246fc1/attachment.html>


More information about the buildroot mailing list